> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Rows



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/assistant/imports/{importId}/rows
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/imports/{importId}/rows:
    get:
      tags:
        - Data Imports
      summary: List Rows
      operationId: DataImportsController_listRows_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: importId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: projectId
          required: true
          in: query
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: cursor
          required: false
          in: query
          schema:
            minLength: 1
            maxLength: 512
            pattern: ^[A-Za-z0-9_-]+$
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
        - name: issue
          required: false
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 200
        - name: included
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataImportRowsResponseDto'
components:
  schemas:
    DataImportRowsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/DataImportRowResponseDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    DataImportRowResponseDto:
      type: object
      properties:
        areaAllocations:
          type: array
          description: Where this item is placed, and how many of it each placement holds.
          items:
            type: object
            required:
              - areaId
              - quantity
            properties:
              areaId:
                type: string
              quantity:
                type: string
        issues:
          type: array
          items:
            type: object
            required:
              - code
              - severity
              - field
              - message
            properties:
              code:
                type: string
              severity:
                type: string
                enum:
                  - blocking
                  - warning
              field:
                type: string
                nullable: true
              message:
                type: string
        id:
          type: string
        position:
          type: number
        sheetName:
          type: string
        sourceRowNumber:
          type: number
        sourceCells:
          type: object
          additionalProperties: true
        normalizedValues:
          type: object
          additionalProperties: true
        included:
          type: boolean
        categoryId:
          type: string
          nullable: true
        parentRowId:
          type: string
          nullable: true
        componentQuantity:
          type: string
          nullable: true
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - areaAllocations
        - issues
        - id
        - position
        - sheetName
        - sourceRowNumber
        - sourceCells
        - normalizedValues
        - included
        - categoryId
        - parentRowId
        - componentQuantity
        - createdAt
        - updatedAt

````